<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%
  project ||= impediment.project
  prevent_edit = if User.current.allowed_in_project?(:edit_work_packages, project)
                   ''
                 else
                   'prevent_edit'
                 end
%>
<div class="model work_package impediment <%= color_contrast_class(impediment) %> <%= prevent_edit %> <%= mark_if_closed(impediment) %><%= color_contrast_class(impediment) %>"
     id="work_package_<%= impediment.id %>"
     <%= build_inline_style(impediment) %>>
  <div class="id">
    <div class="t"><%= work_package_link_or_empty(impediment) %></div>
    <div class="v"><%= id_or_empty(impediment) %></div>
  </div>
  <div class="subject editable"
       fieldtype="textarea"
       fieldname="subject"
       fieldlabel="<%= WorkPackage.human_attribute_name(:subject) %>"
       field_id="<%= impediment.id %>"><%= impediment.subject %></div>
  <div class="blocks editable"
       fieldname="blocks_ids"
       fieldlabel="<%= t(:label_blocks_ids) %>"
       field_id="<%= impediment.id %>"><%= blocks_ids(impediment.blocks_ids) %></div>
  <div class="assigned_to_id editable"
       fieldtype="select"
       fieldname="assigned_to_id"
       fieldlabel="<%= WorkPackage.human_attribute_name(:assigned_to) %>"
       field_id="<%= impediment.id %>">
    <div class="t"><%= assignee_name_or_empty(impediment) %></div>
    <div class="v"><%= assignee_id_or_empty(impediment) %></div>
  </div>
  <div class="remaining_hours editable<%= ' empty' if remaining_hours(impediment).blank? %>"
       fieldname="remaining_hours"
       fieldlabel="<%= WorkPackage.human_attribute_name(:remaining_hours) %>"
       field_id="<%= impediment.id %>"><%= remaining_hours(impediment) %></div>
  <div class="indicator"> </div>
  <div class="meta">
    <div class="story_id"><%= impediment.parent_id %></div>
    <div class="status_id"><%= impediment.status_id %></div>
    <%= render(partial: "shared/model_errors", object: errors) if defined?(errors) && !errors.empty? %>
  </div>
</div>
